#include <bits/stdc++.h>
using namespace std;
int N,M,br;
string T,S,t;
int main(){
    cin>>T>>S;
    t=T;
    for(int i=0;i<=T.size()-1;i++){
        for(int j = 0;j<=S.size()-1;j++){
            if (T[i]==S[j]){
                t[i]='*';
                br++;
                if(t[i]!=T[i]){
                    cout<<br<<endl<<t<<endl;
                    return 0;
                }
            }
        }
    }
    cout<<br<<endl<<t<<endl;



    return 0;
}